/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var productAttributes = ko.observableArray([]);
    var productAttributesSelected = ko.observableArray([]);
    var otherProductDetails = ko.observable('');
    var otherProductDetailsChecked = ko.observable(false);

    return {
        productAttributes: productAttributes,
        productAttributesSelected: productAttributesSelected,
        otherProductDetails: otherProductDetails,
        otherProductDetailsChecked: otherProductDetailsChecked
    };
});
